# Gun Datapack
Adds somewhat realistic firearms to Minecraft, as well as materials, workbenches and ammunition.

P.S. Everything below is valid for the latest version of the datapack

## Additions
### Guns
- Desert Eagle
- Glock 23
- L96A1 (A.K.A. AWP)
- Mosin Nagant
### Workstations
- Gun Station
- Blast Furnace (multi-block structure)
- Polymerizator
### Ammunition
- Bullets (pistol and rifle bullets)
- Magazines (unique for every gun)
### Gun parts
- Pistol Barrel
- Rifle Barrel

## Crafts
All crafting is shapeless<br>
To craft on a Gun Station you drop all the items onto it<br>
To use a Polymerizator you need to put a heat source under it (Fire, Lava, Lava Cauldron, Campfire, Soul Campfire, Magma)<br>
If it says x(any) then all stacks should be equal during one craft<br>

### Blast Furnace structure
![Blast Furnace structure Tutorial](https://github.com/PlanatedLlama45/gun_datapack/assets/79642040/df17ef5f-e486-4cb3-8727-e64a7157da67)
<br>

### Blast Furnace Controller
![blast_furnace_controller_tutorial](https://github.com/PlanatedLlama45/gun_datapack/assets/79642040/61e66090-fbea-48f0-9bd6-7b2c0eddae8c)
<br>

### Polymerizator
![polymerizator_tutorial](https://github.com/PlanatedLlama45/gun_datapack/assets/79642040/81f18297-f7da-4d74-b718-edbfd8160f0a)
<br>

### Materials
#### Steel
- Crafting Table: Iron Ingot x2, Coal x2, Blaze Powder x1
- Blast Furnace structure: Iron ingot x1, Coal x2
#### Black Steel
- Drop: Steel x(any), Black Dye x(any)
#### Plastic
- Polymerizator: Plant (Log, Wood, Azalea, Moss, Leaves or a Sapling) x1, Coal x1, Water 250mb
<br>

### Workbenches
#### Gun Station
- Drop (onto a Smithing Table): Steel x2, Black Steel x1
#### Blast Furnace Controller
- Gun Station: Brick Block x1, Black Steel x4, Blast Furnace x1, Redstone Dust x1, Compass x1
#### Polymerizator
- Gun Station: Steel x4, Black Steel x2, Copper Ingot x1, Glass x1, Comparator x1
<br>

### Gun Parts
#### Pistol Barrel
- Gun Station: Steel x2
### Rifle Barrel
- Gun Station: Black Steel x3
<br>

### Guns
#### Desert Eagle
- Gun Station: Pistol Barrel x1, Steel x3, Stone Button x1, Tripwire Hook x1
#### Glock 23
- Gun Station: Pistol Barrel x1, Plastic x3, Black Steel x1, Stone Button x1, Tripwire Hook x1
### L96A1
- Gun Station: Rifle Barrel x1, Black Steel x1, Plastic x5, Tinted Glass x1, Green Dye x2, Iron Nugget x3, Stone Button x1, Tripwire Hook x1
### Mosin Nagant
- Gun Station: Rifle Barrel x1, Black Steel x2, Spruce Planks x3, Iron Nugget x3, Stone Button x1, Tripwire Hook x1
<br>

### Bullets
#### Pistol Bullet
- Gun Station: Copper Ingot x(any), Iron Nugget x(any), Gunpowder x(any) (no more than 6 per craft. Example: 3 Copper Ingots + 3 Iron Nuggets + 3 Gunpowder)
#### Rifle Bullet
- Gun Station: Copper Ingot x(any) * 2, Iron Nugget x(any), Gunpowder x(any) * 2 (no more than 6 Iron Nuggets per craft. Example: 4 Copper Ingots + 2 Iron Nuggets + 4 Gunpowder)
<br>

### Magazines
#### Desert Eagle
- Gun Station: Iron Ingot x1, Iron Nugget x2
#### Glock 23
- Gun Station: Plastic x1, Iron Nugget x2
#### L96A1
- Gun Station: Plastic x1, Black Steel x1, Iron Nugget x1
#### Glock 23
- Gun Station: Steel x1, Iron Nugget x2
<br>

### Gameplay
- To reload a gun you hold it, hold shift and then right-click (only works on guns with empty ammo); second click will load a compatible magazine
- To fill a magazine you hold it and press F
- To aim a gun you hold it and press F (same to unaim)
- You can change some values (such as reload times, steel smelting time etc.) in the guns:config function
